Get WarehouseCredential by ID
Get a single WarehouseCredential by ID.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
warehouse_credential_id
ID of the WarehouseCredential.
Headers
EARLY-ACCESS
Set to true to access beta operations via /api/v3.
Query parameters
returning
Comma-separated list of top-level fields to include in each returned item. Cannot overlap with omit.
omit
Comma-separated list of top-level fields to omit from each returned item. Cannot overlap with returning.
Response
OK
__typename
createdAt
expiresAt
The time after which new connections using the username/password will not be permitted. Upon expiration, currently open connections are not terminated.
id
label
An optional label defined by the user who created the WarehouseCredential.
modifiedAt
revoked
Indicates whether or not the WarehouseCredential has been revoked.
When a WarehouseCredential is revoked, the credentials are deleted in the
warehouse and can not be reactivated.
user
The Benchling user whose permissions are used when creating the WarehouseCredential
username
The username to connect to the warehouse.
Errors
400
Warehouse Credential Get Request Bad Request Error
403
Warehouse Credential Get Request Forbidden Error
404
Warehouse Credential Get Request Not Found Error
429
Warehouse Credential Get Request Too Many Requests Error
500
Warehouse Credential Get Request Internal Server Error